OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
cnanovdb_node0F3 Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes
cnanovdb_coord | mBBox_min
uint8_t | mBBoxDif [3]
uint8_t | mFlags
cnanovdb_mask3 | mValueMask
cnanovdb_Vec3F | mMinimum
cnanovdb_Vec3F | mMaximum
float | mAverage
float | mStdDevi
uint32_t | _reserved [(-(sizeof(cnanovdb_mask3)+2 *sizeof(cnanovdb_Vec3F)+2 *sizeof(float)+sizeof(cnanovdb_coord)+sizeof(uint8_t[3])+sizeof(uint8_t)) &((32) -1))/4]
cnanovdb_Vec3F | mVoxels [1u<<(3 *3)]

## Member Data Documentation

## ◆ _reserved

uint32_t _reserved[(-(sizeof(cnanovdb_mask3)+2 *sizeof(cnanovdb_Vec3F)+2 *sizeof(float)+sizeof(cnanovdb_coord)+sizeof(uint8_t[3])+sizeof(uint8_t)) &(( 32) -1))/4]

## ◆ mAverage

float mAverage

## ◆ mBBox_min

cnanovdb_coord mBBox_min

## ◆ mBBoxDif

uint8_t mBBoxDif[3]

## ◆ mFlags

uint8_t mFlags

## ◆ mMaximum

cnanovdb_Vec3F mMaximum

## ◆ mMinimum

cnanovdb_Vec3F mMinimum

## ◆ mStdDevi

float mStdDevi

## ◆ mValueMask

cnanovdb_mask3 mValueMask

## ◆ mVoxels

cnanovdb_Vec3F mVoxels[1u<<(3 *3)]